
local id_lock_blue = nil
local id_box_key = nil
local id_living_grass = nil
local id_lava = nil

CubesTypesMgr = {}

--------------------------------------------------------

function CubesTypesMgr.init()
	--Scene3D.setShaderForFilenameTexture("grassTop.png", 1)
	Scene3D.setShaderForFilenameTexture("water_top.png", 2)
	--Scene3D.setShaderForFilenameTexture("red_square_small.png", 3)
	--Scene3D.setShaderForFilenameTexture("red_square_large.png", 3)
	local cubes_engine = CubesEngine.get()
	
	local id_bottom = nil
	
	id_bottom = cubes_engine:addCubeType("grassCenter.png","grassCenter.png","grassBottom.png","grassBottom.png","grassCenter.png","grassCenter.png",false, true)
	cubes_engine:addCubeType("grassMid.png","grassMid.png","grassTop.png","grassBottom.png","grassMid.png","grassMid.png", false, true, id_bottom)
	
	id_bottom = cubes_engine:addCubeType("stoneCenter.png","stoneCenter.png","stoneBottom.png","stoneBottom.png","stoneCenter.png","stoneCenter.png",false, true)
	cubes_engine:addCubeType("stoneMid.png","stoneMid.png","stoneTop.png","stoneBottom.png","stoneMid.png","stoneMid.png", false, true, id_bottom)
	
	id_bottom = cubes_engine:addCubeType("dirtCenter.png","dirtCenter.png","dirtBottom.png","dirtBottom.png","dirtCenter.png","dirtCenter.png",false, true)
	cubes_engine:addCubeType("dirtMid.png","dirtMid.png","dirtTop.png","dirtBottom.png","dirtMid.png","dirtMid.png", false, true, id_bottom)
	
	id_bottom = cubes_engine:addCubeType("sandCenter.png","sandCenter.png","sandBottom.png","sandBottom.png","sandCenter.png","sandCenter.png",false, true)
	cubes_engine:addCubeType("sandMid.png","sandMid.png","sandTop.png","sandBottom.png","sandMid.png","sandMid.png", false, true, id_bottom)
	
	id_bottom = cubes_engine:addCubeType("snowCenter.png","snowCenter.png","snowBottom.png","snowBottom.png","snowCenter.png","snowCenter.png",false, true)
	cubes_engine:addCubeType("snowMid.png","snowMid.png","snowTop.png","snowBottom.png","snowMid.png","snowMid.png", false, true, id_bottom)
	
	id_bottom = cubes_engine:addCubeType("castleCenter.png","castleCenter.png","castleBottom.png","castleBottom.png","castleCenter.png","castleCenter.png",false, true)
	cubes_engine:addCubeType("castleMid.png","castleMid.png","castleTop.png","castleBottom.png","castleMid.png","castleMid.png", false, true, id_bottom)
	
	cubes_engine:addCubeType("xBoxAlt.png",false, true)
	cubes_engine:addCubeType("xLiquidWater.png",false, false)
	id_lava = cubes_engine:addCubeType("xLiquidLava.png",false, false)
	
	id_bottom = cubes_engine:addCubeType("grassCenter.png","grassCenter.png","grassBottom.png","grassBottom.png","grassCenter.png","grassCenter.png",false, true)
	id_living_grass = cubes_engine:addCubeType("grassMidLiving.png","grassMidLiving.png","grassTop.png","grassBottom.png","grassMid.png","grassMid.png", false, true, id_bottom)
	
	id_lock_blue = cubes_engine:addCubeType("xLockBlue.png",false, true)
	id_box_key = cubes_engine:addCubeType("xBoxKey.png",false, false)
	
	--cubes_engine:addCubeType("organic.png","organic.png","organic.png","organic.png","organic.png","organic.png", true, true)
end

function CubesTypesMgr.getIdLockBlue() return id_lock_blue end
function CubesTypesMgr.getIdBoxKey() return id_box_key end
function CubesTypesMgr.getIdLivingGrass() return id_living_grass end
function CubesTypesMgr.getIdLava() return id_lava end

	
	-- local id_grass1_bottom = cubes_engine:addCubeType("grass1_bottom.png",false, true)
	-- cubes_engine:addCubeType("grass1_side.png","grass1_side.png","grass1.png","grass1_bottom.png","grass1_side.png","grass1_side.png", false, true, id_grass1_bottom)
	-- cubes_engine:addCubeType("grass1.png", false, true)
	-- cubes_engine:addCubeType("desert1_side.png","desert1_side.png","desert1.png","desert1_bottom.png","desert1_side.png","desert1_side.png",true, true, id_grass1_bottom)
	-- local id_grass2_bottom = cubes_engine:addCubeType("grass2_bottom.png","grass2_bottom.png","grass2_bottom.png","grass2_bottom.png","grass2_bottom.png","grass2_bottom.png",true, true)
	-- cubes_engine:addCubeType("grass2_side.png","grass2_side.png","grass2.png","grass2_bottom.png","grass2_side.png","grass2_side.png",true,true, id_grass2_bottom);
	-- cubes_engine:addCubeType("snow1_side.png","snow1_side.png","snow1.png","snow1_bottom.png","snow1_side.png","snow1_side.png",true,true, id_grass1_bottom)
	-- cubes_engine:addCubeType("gold.png",false,true)
	-- cubes_engine:addCubeType("house1.png","house1.png","rock1.png","rock1.png","house1.png","house1.png",true,true)
	-- cubes_engine:addCubeType("house2.png","house2.png","wood1.png","wood1.png","house2.png","house2.png",true,true)
	-- cubes_engine:addCubeType("scrapyard.png",true,true)
	-- cubes_engine:addCubeType("tile1.png",false,true)
	-- cubes_engine:addCubeType("wood1.png",true,true)
	-- cubes_engine:addCubeType("rock1.png","rock1.png","rail.png","rock1.png","rock1.png","rock1.png",true,true)
	-- cubes_engine:addCubeType("red.png",false,true)
	-- cubes_engine:addCubeType("blue.png",false,true)
	-- cubes_engine:addCubeType("yellow.png",false,true)
	-- cubes_engine:addCubeType("green.png",false,true)
	-- cubes_engine:addCubeType("orange.png",false,true)
	-- cubes_engine:addCubeType("purple.png",false,true)
	-- cubes_engine:addCubeType("white.png",false,true)
	-- cubes_engine:addCubeType("wicker1.png",false,true)
	-- cubes_engine:addCubeType("plants1.png",true,true)
	-- cubes_engine:addCubeType("water1.png",true,true)
	-- local id_simple_earth1 = cubes_engine:addCubeType("simple_earth1.png",true,true)
	-- cubes_engine:addCubeType("simple_grass1_side.png","simple_grass1_side.png","simple_grass1.png","simple_earth1.png","simple_grass1_side.png","simple_grass1_side.png",true,true, id_simple_earth1);
	-- cubes_engine:addCubeType("simple_grass1.png", true, true)
	-- cubes_engine:addCubeType("simple_water1.png", true, true)
	-- cubes_engine:addCubeType("ice1.png", true, true)
	-- cubes_engine:addCubeType("wall1.png","wall1.png","tile1.png","tile1.png","wall1.png","wall1.png",true,true)
	-- cubes_engine:addCubeType("wall2.png", true, true)
	-- cubes_engine:addCubeType("water2.png", false, false);
	-- cubes_engine:addCubeType("lava1_transparent.png", false, false)
	-- local id_lava1_bottom = cubes_engine:addCubeType("lava1_bottom.png", false, true)
	-- cubes_engine:addCubeType("lava1_side.png","lava1_side.png","lava1_top.png","lava1_bottom.png","lava1_side.png","lava1_side.png",false,true, id_lava1_bottom);
	-- cubes_engine:addCubeType("simple_snow1_side.png","simple_snow1_side.png","simple_snow1.png","simple_earth1.png","simple_snow1_side.png","simple_snow1_side.png",true,true)
	-- cubes_engine:addCubeType("tile2.png", false, true)
	-- cubes_engine:addCubeType("tile3.png","tile3.png","tile2.png","tile2.png","tile3.png","tile3.png", false, true)
	-- cubes_engine:addCubeType("egypt1.png",false, true)
	-- cubes_engine:addCubeType("egypt1_side.png","egypt1_side.png","egypt1.png","egypt1.png","egypt1_side.png","egypt1_side.png",false, true)
	-- local id_grass3_bottom = cubes_engine:addCubeType("grass3_bottom.png",false,true)
	-- cubes_engine:addCubeType("grass3_side.png","grass3_side.png","grass3.png","grass3_bottom.png","grass3_side.png","grass3_side.png",false,true, id_grass3_bottom);
	-- cubes_engine:addCubeType("black.png",false,true)
	-- cubes_engine:addCubeType("blue_red.png",false,true)
	-- cubes_engine:addCubeType("space1.png",true,true)
	-- cubes_engine:addCubeType("door1.png",true,true)

--------------------------------------------------------

function CubesTypesMgr.manage()
	CubesEngine.get():manage()
end

function CubesTypesMgr.draw3D()
	CubesEngine.get():draw3D()
end

--------------------------------------------------------

function CubesTypesMgr.drop()
	local cubes_engine = CubesEngine.get()
	cubes_engine:clearCubeTypes()
end

--------------------------------------------------------
